Subject: [Lime] Performance measurement support in connectionless OAM

From: Qin Wu <[email-masked]>
Date: Mon, 11 Apr 2016 11:55:48 +0000

Hi,Kotas:
Thanks for heads up, I have briefly sync up with AL and Mahesh but I believe you lead this work as the role of editor.
I am happy to add TWAMP authors in the thread. One open issue raised in  the LIME session of IETF 95 was to how to make connectionless OAM model to align with TWAMP and cover performance measurement aspect.
Performance measurement aspect had already been briefly discussed in the connection oriented OAM model draft (i.e., https://tools.ietf.org/wg/lime/draft-ietf-lime-yang-oam-model/) and listed as one open issue (See section 7 of draft-ietf-lime-yang-oam-model)in the past ietf meetings.

There were also two related draft proposed to LIME WG and discuss how to model performance measurement aspect in the OAM model
https://tools.ietf.org/html/draft-wang-lime-yang-pm-01
https://tools.ietf.org/html/draft-bhaprasud-lime-pm-00

To make OAM model complete, I think we should cover performance measurement. Two open questions are
a. should we model performance measurement both in connection-oriented oam model and in connectionless oam model or only
In connectionless oam model,
b.In either connection oriented oam model or connectionless oam model, shall we model both active PM and passive PM?

Regards!
-Qin WU
发件人: Kostas PENTIKOUSIS [mailto:[email-masked]]
发送时间: 2016年4月11日 16:56
收件人: Qin Wu
抄送: Deepak Kumar
主题: Re: Twamp

Hi Bill,
I recently changed companies, hence I could not attend IETF last week. But i will be participating in the next IETF.

Regarding your questions:

1. Have a look at Fig. 5 and 6.
2. Session_sender and _reflector are on the "data path" (Fig. 1). Traffic is initiated by the the control entities, and the measurement traffic is sent on the data path.
3. TWAMP is bidirectional.
I'm sure both Al and Mahesh would have been able to answer your questions of course.
What is not clear to me is what would you like to to do. I need to get a better understanding about what you would like to do. Perhaps a straightforward was forward given the comment you received is to relate to the IPPM work on the data model and leave perf measurement as out of scope for your model. If you would like to cover perf measurement in your draft, i would suggest to add the other authors of the twamp model in this thread.

Just my $0.02 and all the best,
Kostas

On Fri, Apr 8, 2016 at 4:02 PM, Qin Wu <[email-masked]<mailto:[email-masked]>> wrote:
Hi, Kostas:
We have a YANG model draft in LIME WG to discuss generic model for connectionless OAM technology
In IETF 95 LIME WG session, we were asked by WG chairs whether we should also cover performance measurement part.
We read your TWAMP YANG draft and have three questions:

1.      Is there common attributes that are applied to both session_sender and session_reflector?

2.      Is session initiated from session_sender and terminated at session reflector or reflected by session reflector?

3.      Is test message exchange unidirectional or bidirectional?
Talking with Mahesh and Al, you are not in the argentina?
It will be nice to get your feedback through email.
Look forward to your feedback?

-Qin